package cn.org.bjca.trust.push.kit

import cn.org.bjca.trust.push.message.client.ImConnectOptions
import cn.org.bjca.trust.push.message.msg.SendMessage

interface ImClientInterface {
    fun connect(mImConnectOptions: ImConnectOptions)
    fun reConnect()
    fun disConnect()
    fun unregister()
    fun isConnect(): Boolean
    fun isConnecting(): Boolean
    fun sendMessage(msg: SendMessage)
    fun imConnectOptions(): ImConnectOptions
}